#!/bin/sh

#   Copyright (C) 2016 Deepin, Inc.
#
#   Author:     Li LongYu <lilongyu@linuxdeepin.com>
#   Maintainer: Peng Hao <penghao@linuxdeepin.com>

export LANG=zh_CN.utf8
WINEPREFIX="$HOME/.deepinwine/CMBChina"
APPDIR="/opt/deepinwine/CMBChina"
APPVER="7.1.3deepin8"
APPTAR="files.7z"
PACKAGENAME="deepinwine-cmbchina"

HelpApp()
{
	echo " Commands:"
	echo " -r/--redeploy   Redeploy app to fix errors"
	echo " -h/--help       Program help info"
}
RedeployApp()
{
	echo "redeploy $PACKAGENAME....."
	read -p "*	Are you sure?(Y/N)" ANSWER
	if [ "$ANSWER" = "Y" -o "$ANSWER" = "y" -o -z "$ANSWER" ];then
		EvacuateApp
		DeployApp
	else
		exit 0
	fi
}
EvacuateApp()
{
	rm -rf "$WINEPREFIX"
}
DeployApp()
{
	if [ -e "$WINEPREFIX" ];then
		return
	fi
	mkdir -p "$WINEPREFIX"
	7z x "$APPDIR/$APPTAR" -o"$WINEPREFIX"
	mv "$WINEPREFIX/drive_c/users/@current_user@" "$WINEPREFIX/drive_c/users/$USER"
	sed -i "s#@current_user@#$USER#" $WINEPREFIX/*.reg
}
RunApp()
{
	if [ ! -d "$WINEPREFIX" ];then
		DeployApp
	fi
    "$WINEPREFIX/drive_c/deepin/EnvInit.sh"
}

if [ -z $1 ];then
	RunApp
	exit 0
fi
case $1 in
	"--redeploy"| "-r")
		RedeployApp
		;;
	"--help"| "-h")
		HelpApp
		;;
	*)
		echo "Invalid option: $1"
		exit 1
		;;
esac
exit 0
